2013년 5월 30일 목요일

아래한글 임의코드 실행 취약점 보안 업데이트 권고

□ 개요
  o 한글과컴퓨터社에서 개발한 워드프로세서인 한/글에서 임의 코드실행이 가능한 취약점이 발견됨 [1]
     - 공격자는 웹 게시물, 스팸 메일, 메신저의 링크 등을 통해 특수하게 조작된 한글문서(HWP)를 열어보도록 
        유도하여 임의코드를 실행시킬 수 있음
  o 낮은 버전의 사용자는 악성코드 감염에 취약할 수 있으므로 해결방안에 따라 보안업데이트 권고


□ 설명
   o GIF 및 PNG 이미지를 처리 과정에서 발생한 임의코드 실행 취약점을 해결한 보안 업데이트 (#7 보안 취약점 개선)


□ 해당 시스템
   o 영향 받는 소프트웨어
    -한/글 2010 8.5.8.1340 및 이전 버전
    -한/쇼 2010 8.5.8.1407 및 이전 버전
    -한/셀 2010 8.5.8.1264 및 이전 버전
    -한컴오피스 2010 8.5.8.1441 및 이전 버전

    -한/글 2007 7.5.12.672 이전 버전
    -슬라이드 2007 7.5.12.883 이전 버전
    -넥셀 2007 7.5.12.740 이전 버전
    -한컴오피스 2007 7.5.12.673 이전 버전

□ 해결 방안
   o 한글과컴퓨터 홈페이지에서 보안업데이트 파일을 직접 다운로드 받아 설치하여 아래 버전으로 업데이트
    - 한/글 2007 7.5.12.672 이상 버전
    - 한/글 2010 8.5.8.1349 이상 버전
    - 다운로드 경로 : http://www.hancom.co.kr/downLoad.downPU.do?mcd=001
   o 한글과컴퓨터 자동 업데이트를 통해 한글 최신버전으로 업데이트
    - 시작 → 모든 프로그램 → 한글과컴퓨터 → 한글과컴퓨터 자동 업데이트
1


2
□ 문의사항
   o 한국인터넷진흥원 인터넷침해대응센터: 국번없이 118


□ 기타
   o Gif 필터 취약점은 Krcert 홈페이지를 통해 deok9 at ASRT님께서 제공해주셨습니다.

 
[참고사이트] 
[1] http://www.hancom.co.kr/downLoad.downPU.do?mcd=001
 
원문: http://www.krcert.or.kr/kor/data/secNoticeView.jsp?p_bulletin_writing_sequence=2292